package ru.dbotthepony.kstarbound.defs

import com.google.gson.stream.JsonWriter
import ru.dbotthepony.kstarbound.json.builder.IStringSerializable

enum class EntityType(override val jsonName: String, val storeName: String) : IStringSerializable {
	PLANT("plant", "PlantEntity"),
	OBJECT("object", "ObjectEntity"),
	VEHICLE("vehicle", "VehicleEntity"),
	ITEM_DROP("itemDrop", "ItemDropEntity"),
	PLANT_DROP("plantDrop", "PlantDropEntity"), // wat
	PROJECTILE("projectile", "ProjectileEntity"),
	STAGEHAND("stagehand", "StagehandEntity"),
	MONSTER("monster", "MonsterEntity"),
	NPC("npc", "NpcEntity"),
	PLAYER("player", "PlayerEntity");
}
